﻿Imports Microsoft.WindowsAzure.StorageClient

Public Class BlobServiceEventArgs
    Inherits EventArgs

    Private _blobUri As String
    Private _blob As CloudBlob

    Public ReadOnly Property BlobUri As String
        Get
            Return Me._blobUri
        End Get
    End Property

    Public ReadOnly Property Blob As CloudBlob
        Get
            Return _blob
        End Get
    End Property

    Public Sub New(ByVal blob As CloudBlob)
        Me._blobUri = blob.Uri.ToString
        Me._blob = blob
    End Sub
End Class

